GLM_GTX_gradient_paint
Experimental extensions

Include <glm/gtx/gradient_paint.hpp> to use the features of this extension. More...

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL T | linearGradient (vec< 2, T, Q > const &Point0, vec< 2, T, Q > const &Point1, vec< 2, T, Q > const &Position)
| Return a color from a linear gradient. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | radialGradient (vec< 2, T, Q > const &Center, T const &Radius, vec< 2, T, Q > const &Focal, vec< 2, T, Q > const &Position)
| Return a color from a radial gradient. More...

## Detailed Description

Include <glm/gtx/gradient_paint.hpp> to use the features of this extension.

Functions that return the color of procedural gradient for specific coordinates.

## Function Documentation

GLM_FUNC_DECL T glm::linearGradient | ( | vec< 2, T, Q > const & | Point0,
|  | vec< 2, T, Q > const & | Point1,
|  | vec< 2, T, Q > const & | Position
| ) |  |

Return a color from a linear gradient.

See also
  - GLM_GTX_gradient_paint

GLM_FUNC_DECL T glm::radialGradient | ( | vec< 2, T, Q > const & | Center,
|  | T const & | Radius,
|  | vec< 2, T, Q > const & | Focal,
|  | vec< 2, T, Q > const & | Position
| ) |  |

Return a color from a radial gradient.

See also
  - GLM_GTX_gradient_paint